Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88224 - Awkward reaction to loopback encrypted filesystems
Summary: Awkward reaction to loopback encrypted filesystems
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-07 20:10 UTC by Mark Stoneburner
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-21 20:37:47 UTC


Attachments (Terms of Use)

Description Mark Stoneburner 2003-04-07 20:10:41 UTC
My /home is encrypted so that I mount it through AES loopback. It is mentioned
in /etc/fstab in normal manner. My swap is similarly encrypted. Redhat installer
assumed the filesystem is messed up, and aborted the installer. Everything
worked fine when uncommented /home and swap partitions from fstab.

I realize this is not an ordinary situation, but instead of simply aborting the
installation when weird looking filesystem contents are encountered, it'd be
nice if the installer either

- offered to ignore that filesystem in the installation, or

- told the user to uncomment the filesystems from /etc/fstab if wants the
installer to ignore them

The relevant lines in my /etc/fstab are:

/dev/hdd3               /home   ext3   
defaults,loop=/dev/loop1,encryption=AES128   0 0
/dev/hdd4               swap     swap    sw,loop=/dev/loop6,encryption=AES192  
     0 0

Comment 1 Jeremy Katz 2003-05-16 21:14:43 UTC
We don't currently support using the crypto loop stuff in the userspace tools,
so this is a little tricky to handle.  I'll try to add something to do a little
better, but the current case might be the best that's possible until we
integrate crypto loop support for the distro.

Comment 2 W. Michael Petullo 2005-08-07 16:00:35 UTC
Cryptoloop has been replaced with dm-crypt.  This bug is very old.  Is this 
still relevant?  Does anaconda complain about dm-crypt filesystems?

Comment 3 Jeremy Katz 2005-09-21 20:37:47 UTC
This isn't really relevant anymore now that cryptoloop is obsoleted.  We don't
really handle dm-crypt, but the reaction should be better


Note You need to log in before you can comment on or make changes to this bug.